Skip to main content
DELETE
/
api
/
v1
/
accounts
/
{accountId}
/
projects
/
{projectId}
/
kubernetes
/
{clusterId}
/
apps
/
{appId}
Uninstall app from cluster
curl --request DELETE \
  --url https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/kubernetes/{clusterId}/apps/{appId}
{
  "installed_app": {
    "summary": {
      "base": {
        "app_id": "<string>",
        "cluster_id": "<string>",
        "marketplace_app": {
          "app_name": "<string>",
          "display_name": "<string>",
          "description": "<string>",
          "icon_url": "<string>",
          "documentation_url": "<string>"
        }
      },
      "status": "INSTALLED_APP_STATUS_UNSPECIFIED"
    },
    "revisions": [
      {
        "revision": "<string>",
        "app_version": "<string>",
        "status": "INSTALLED_APP_STATUS_UNSPECIFIED",
        "user_config": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "status_conditions": {
          "crds": [
            {
              "crd": "<string>",
              "reasons": [
                {
                  "reason": "<string>",
                  "status": "INSTALLED_APP_STATUS_UNSPECIFIED",
                  "last_updated": "2023-11-07T05:31:56Z",
                  "message": "<string>"
                }
              ]
            }
          ]
        }
      }
    ]
  }
}

Headers

x-user-id
string
x-kong-request-id
string

Path Parameters

accountId
string
required
projectId
string
required
clusterId
string
required
appId
string
required

Response

OK

installed_app
object
required